/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workresignationtemplate.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workresignationtemplate.entity.WorkResignationTemplate;
import com.jeeplus.modules.workresignationtemplate.dao.WorkResignationTemplateDao;

/**
 * 离职审核列表Service
 * @author lw
 * @version 2018-08-07
 */
@Service
@Transactional(readOnly = true)
public class WorkResignationTemplateService extends CrudService<WorkResignationTemplateDao, WorkResignationTemplate> {

	public WorkResignationTemplate get(String id) {
		return super.get(id);
	}
	
	public List<WorkResignationTemplate> findList(WorkResignationTemplate workResignationTemplate) {
		return super.findList(workResignationTemplate);
	}
	
	public Page<WorkResignationTemplate> findPage(Page<WorkResignationTemplate> page, WorkResignationTemplate workResignationTemplate) {
		return super.findPage(page, workResignationTemplate);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkResignationTemplate workResignationTemplate) {
		super.save(workResignationTemplate);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkResignationTemplate workResignationTemplate) {
		super.delete(workResignationTemplate);
	}
	
	
	
	
}